<?php
  /**
   * @file
   * Startseite für ScrollingJQueryGallery. Diese Datei erledigt die
   * Ausgabe im Browser.
   *
   * @author Jan Dittberner <jan@dittberner.info>, Jeremias Arnstadt
   * <douth024@googlemail.com>
   * @version \$Id$
   *
   * Copyright (c) 2008 Jan Dittberner
   * Jan Dittberner IT-Consulting & -Solutions
   * Cottbuser Str. 1, D-01129 Dresden
   *
   * Copyright (c) 2008 Jeremias Arnstadt
   *
   * This file is part of the ScrollingJQueryGallery component of the
   * gnuviech-server.de Websitetools
   *
   * ScrollingJQueryGallery is free software: you can redistribute it
   * and/or modify it under the terms of the GNU General Public
   * License as published by the Free Software Foundation, either
   * version 3 of the License, or (at your option) any later version.
   *
   * ScrollingJQueryGallery is distributed in the hope that it will be
   * useful, but WITHOUT ANY WARRANTY; without even the implied
   * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
   * See the GNU General Public License for more details.
   *
   * You should have received a copy of the GNU General Public License
   * along with ScrollingJQueryGallery.  If not, see
   * <http://www.gnu.org/licenses/>.
   */

  /**
   * Inkludiert die Funktionsbibliothek.
   */
require 'includes/galleryfunctions.php';

/**
 * Name der aktuellen Galerie.
 */
$gallery   = getCurrentGallery();

/**
 * Informationen zu den Thumbnail-Bildern der aktuellen Galerie.
 */
$thumbinfo = getThumbNailInfo($gallery);

?>
<!DOCTYPE HTML PUBLIC
 "-//W3C//DTD HTML 4.01 Transitional//EN http://www.w3.org/TR/html4/loose.dtd">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title><?php print getGalleryTitle($thumbinfo); ?></title>
<link rel="stylesheet" type="text/css" href="css/main.css" />
<link rel="stylesheet" href="css/format.css" type="text/css" />
<link rel="stylesheet" href="css/jquery.lightbox.css" type="text/css" />
<script src="scripts/jquery.js" type="text/javascript" ></script>
<script src="js/jQuery.colorBlend.pack.js" type="text/javascript"></script>
<script src="js/jquery.lightbox.packed.js" type="text/javascript" ></script>
<script src="scripts/ourhandlers.js" type="text/javascript" ></script>
<style type="text/css">
<?php
  printf("#scrollable { width:%dpx; }", $thumbinfo[0]);
?>
 a {
	font-size: 9px;
}
a:link {
	text-decoration: none;
}
a:visited {
	text-decoration: none;
}
a:hover {
	text-decoration: none;
}
a:active {
	text-decoration: none;
}
</style>
</head>
<body>
<!-- container -->
<div id="container">
  <div id="content">
   <div id="menu"><?php
 foreach (getGalleryLinks() as $data) {
   if ($data['gallery'] == $gallery) {
     $active = ' class="active"';
   }
   printf('<a class="%s" href="%s"%s>%s </a>', menu, $data['url'], $active, $data['label']);
 } ?></div>
   <div id="content_container">
     <div id="slider">
       <div id="arrleft"><img src="css/grafiken/aro-lft.png" alt="nach links"
        width="10" height="65" /></div>
       <div id="imgscroller"><div id="scrollable"><?php
         // zeigt die eingelesenen Thumnails an
         foreach (getAllThumbnails($thumbinfo) as $thumbdata) {
           printf('<div class="thumbnail"><img src="%s" alt="%s" %s /></div>',
                  $thumbdata['src'], $thumbdata['alt'], $thumbdata['sizes']);
         }
       ?></div></div>
       <div id="arrright"><img src="css/grafiken/aro-rt.png" alt="nach rechts"
        width="10" height="65" /></div>
     </div>
   </div>
   <div id="content_sub">
      <div id="content_main">
        <div class="bildposition"><?php
          // bindet die Bilder in den Hauptbereich ein
          $data = getFirstPreview($thumbinfo);
          printf('<a  class="lightbox" title="%s" href="%s" rel="lightbox">' .
                 '<img id="contentimg" src="%s" alt="%s" %s /></a>',
                 $data['title'], $data['full'], $data['src'], $data['alt'],
                 $data['sizes']);
        ?></div>
      </div>
      <div id="content_nav">
        <img id="backbtn" src="css/grafiken/back.png" alt="back" class="back"
         width="10" height="10" top="0"><img id="fwdbtn"
         src="css/grafiken/next.png" alt="next" class="next" width="10"
         height="10" top="0">
      </div>
      <div class="imgdescription" id="imagedescription"><?php
        // liest die Bildbeschreibung für das jeweilige Bild (wenn definiert)
        print getFirstDescription($thumbinfo);
      ?></div>
    </div>
  </div> 
</div>            
<!-- /container -->
</body>
</html>